Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.controlpoint
Class ActionCallback.Default

    java.lang.Object
      org.teleal.cling.controlpoint.ActionCallback
          org.teleal.cling.controlpoint.ActionCallback.Default

All Implemented Interfaces:
  Runnable

Enclosing class:
  ActionCallback

    public static final class ActionCallback.Default

extends ActionCallback

Empty implementation of callback methods, simplifies synchronous execution of an `ActionInvocation`.

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.controlpoint.ActionCallback
`ActionCallback.Default`

Field Summary

Fields inherited from class org.teleal.cling.controlpoint.ActionCallback
`actionInvocation, controlPoint`

Constructor Summary
`ActionCallback.Default(ActionInvocation actionInvocation, ControlPoint controlPoint)`

Method Summary
`void` | `failure(ActionInvocation invocation, UpnpResponse operation, String defaultMsg)` Called when the action invocation failed.
`void` | `success(ActionInvocation invocation)` Called when the action invocation succeeded.

Methods inherited from class org.teleal.cling.controlpoint.ActionCallback
`createDefaultFailureMessage, failure, getActionInvocation, getControlPoint, run, setControlPoint, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionCallback.Default

    public ActionCallback.Default(ActionInvocation actionInvocation,
                                  ControlPoint controlPoint)

Method Detail

### success

    public void success(ActionInvocation invocation)

  Description copied from class: `ActionCallback`
  Called when the action invocation succeeded.

  Specified by:
    `success` in class `ActionCallback`
  Parameters:
    `invocation` - The successful invocation, call its `getOutput()` method for results.

### failure

    public void failure(ActionInvocation invocation,
                        UpnpResponse operation,
                        String defaultMsg)

  Description copied from class: `ActionCallback`
  Called when the action invocation failed.

  Specified by:
    `failure` in class `ActionCallback`
  Parameters:
    `invocation` - The failed invocation, call its `getFailure()` method for more details.
    `operation` - If the invocation was on a remote service, the response message, otherwise null.
    `defaultMsg` - A user-friendly error message generated from the invocation exception and response.
  See Also:
    `ActionCallback.createDefaultFailureMessage(org.teleal.cling.model.action.ActionInvocation, org.teleal.cling.model.message.UpnpResponse)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.